Subject: Re: [PATCH] agp/uninorth: fix a memleak in create_gatt_table

From: Michael Ellerman <[email-masked]>
Date: Tue, 08 Sep 2015 13:51:36 +1000

On Mon, 2015-09-07 at 13:39 +0300, Denis Kirjanov wrote:
> On 9/7/15, Michael Ellerman <[email-masked]> wrote:
> > On Mon, 2015-09-07 at 10:30 +0300, Denis Kirjanov wrote:
> >> On 6/19/15, Benjamin Herrenschmidt <[email-masked]> wrote:
> >> > On Thu, 2015-06-18 at 17:34 +0300, Denis Kirjanov wrote:
> >> >> On 6/12/15, Denis Kirjanov <[email-masked]> wrote:
> >> >> > Fix the memory leak in create_gatt_table:
> >> >> > we've lost a kfree on the exit path for the pages array allocated
> >> >> > in uninorth_create_gatt_table
> >> >> >
> >> >> > Signed-off-by: Denis Kirjanov <[email-masked]>
> >> >>
> >> >> Hi Ben, Michael
> >> >>
> >> >> Will you take the patch through your trees or do I need to send it to
> >> >> Dave Airlie?
> >> >
> >> > I haven't had a chance to review yet...
> >>
> >> Ping...
> >
> > Hi Denis,
> >
> > Have you built and/or boot tested this?
>
> Hi,
>
> yes, sure. Actually I've spotted this through the kmemleak. With the
> patch applied scanner is happy :)

OK thanks. I'll merge it then, and if Ben ever reviews it and dislikes your
changes he can send patches to fix it :)

cheers